Skip to Content
homemade
Dashboard

Get VM runtime status

GET
/api/vms/{vmId}/runtime

What the VM reports right now: its boot steps, service health, CPU, memory and disk.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

vmId*string

Response Body

Boot steps, services, CPU, memory and disk.

application/json
  1. response
runtime*
Example Request
curl -X GET 'https://api.homemade.dev/api/vms/string/runtime'
Example Response
{  "runtime": {    "bootScript": {      "currentStep": null,      "finishedAt": "2019-08-24T14:15:22Z",      "plan": [],      "servicesReady": {        "at": "2019-08-24T14:15:22Z",        "ok": true,        "service": null      },      "steps": [        {          "durationMs": 0,          "error": "string",          "ok": true,          "step": "string"        }      ]    },    "chunk": {      "chunkDegraded": true,      "chunkDirty": 0,      "chunkFatalErrors": 0,      "chunkFaultFatalTimeouts": 0,      "chunkFaulted": 0,      "chunkPendingUpload": 0,      "chunkPrefetched": 0,      "chunkR2ClassAOps": 0,      "chunkR2ClassBOps": 0,      "chunkR2Misses": 0,      "chunkRetries": 0,      "chunkSourceBound": true,      "chunkStoredBytes": 0,      "chunkStoredOwnBytes": 0,      "chunkTransientErrors": 0,      "chunkUnmaterialized": 0,      "chunkUploadLagMs": 0,      "chunkWriteCapRejections": 0    },    "cliVersion": "string",    "cpu": {      "sampledAt": "2019-08-24T14:15:22Z",      "utilization": 0    },    "disk": {      "totalMb": 0,      "usedMb": 0    },    "guestAgentStale": null,    "guestAgentVersion": null,    "memory": {      "agentExternalMb": 0,      "agentHeapMb": 0,      "agentRssMb": 0,      "availableMb": 0,      "psiFullAvg10": 0,      "psiSomeAvg10": 0,      "swapFreeMb": 0,      "swapTotalMb": 0,      "totalMb": 0    },    "net": {      "inBytesPerSec": 0,      "outBytesPerSec": 0,      "sampledAt": "2019-08-24T14:15:22Z"    },    "services": [      {        "exitCode": null,        "health": null,        "name": "string",        "pid": 0,        "port": 0,        "restarts": 0,        "running": true      }    ],    "uptimeSeconds": 0  }}